#
# spec file for package ghc-parser-combinators
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name parser-combinators
Name:           ghc-%{pkg_name}
Version:        1.3.0
Release:        1.4
Summary:        Lightweight package providing commonly useful parser combinators
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
ExcludeArch:    %{ix86}

%description
Lightweight package providing commonly useful parser combinators.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE.md

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Mon Feb  8 2021 psimons@suse.com
- Update parser-combinators to version 1.3.0.
  [#]# Parser combinators 1.3.0
  * Changed the `Control.Applicative.Permutations` module to only require
    `Applicative` and not `Monad`. This module is the least restrictive and works
    with parsers which are not `Monad`s.
  * Added the `Control.Monad.Permutations` module. This module may be
    substantially more efficient for some parsers which are `Monad`s.
  * Corrected how permutation parsers intercalate effects and components; parsing
    an effect requires that a component immediately follows or else a parse error
    will result.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun  9 2020 psimons@suse.com
- Add parser-combinators at version 1.2.1.
